Plagiarism Detection
curl --request POST \
--url https://plagiarism.api.pangram.com/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://plagiarism.api.pangram.com/"
payload = { "text": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"text": "<string>",
"plagiarism_detected": true,
"plagiarized_content": [
{
"source_url": "<string>",
"matched_text": "<string>",
"similarity_score": 123
}
],
"total_sentences": 123,
"plagiarized_sentences": 123,
"percent_plagiarized": 123
}REST API
Plagiarism Detection
Check text for potential plagiarism against online content
POST
/
Plagiarism Detection
curl --request POST \
--url https://plagiarism.api.pangram.com/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://plagiarism.api.pangram.com/"
payload = { "text": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"text": "<string>",
"plagiarism_detected": true,
"plagiarized_content": [
{
"source_url": "<string>",
"matched_text": "<string>",
"similarity_score": 123
}
],
"total_sentences": 123,
"plagiarized_sentences": 123,
"percent_plagiarized": 123
}For more information on billing units and pricing, check our pricing page for developers.
Example Response
POST /
Check text for potential plagiarism by comparing it against a vast database of online content.POST https://plagiarism.api.pangram.com
Request
string
required
The input text to check for plagiarism.
Response
string
The input text that was checked.
boolean
Whether plagiarism was detected in the text.
array
integer
Total number of sentences in the input text.
integer
Number of sentences that were detected as plagiarized.
float
of the text that was detected as plagiarized.
Example
curl -X POST https://plagiarism.api.pangram.com \
-H "Content-Type: application/json" \
-H "x-api-key: your_api_key_here" \
-d '{
"text": "The text to check for plagiarism"
}'
from pangram import Pangram
pangram_client = Pangram()
result = pangram_client.check_plagiarism("The text to check for plagiarism")
{
"text": "The text to check for plagiarism",
"plagiarism_detected": true,
"plagiarized_content": [
{
"source_url": "https://example.com/source",
"matched_text": "The text to check for plagiarism",
"similarity_score": 0.95
}
],
"total_sentences": 1,
"plagiarized_sentences": 1,
"percent_plagiarized": 100.0
}